% Author: Yanting Wu

% calculate the threshold rho
function rho=calculateRho
global lambda0 lambda1 R1 R2 C alpha lambdaF beta Vlambda0 Vlambda1 VbSA;

if R1/(1-beta) >= VbSA(lambdaF)
    rho=(R1+C)/((R2+C)+beta*Vlambda1-beta*R1/(1-beta));
else
    rho=((1-beta*lambda1)*R1...
          +lambda0*beta*R2...
          +(1-alpha*beta)*(1-beta)*C...
          +beta*(beta-1)*(1-alpha*beta)*Vlambda0...
        )/(...
         (1-alpha*beta)*(R2+(1-beta)*C+beta*(beta-1)*Vlambda0));
end
