% Author: Yanting Wu
% Get the expected total discounted reward value for arm K with all possible states 
function MRT=meanRewardTheory(K)
global lambda0 lambda1 R1 R2 C beta Tnp Vbl0 Vbl1 VbSA rho lambdaF K_max;
MRT = zeros(K_max+2,1);
p = Tnp(K,lambda0);
  if lambdaF <= rho
     MRT(1:K+2) = R1/(1-beta);
  else
    for ii = 1:K
         MRT(ii)=sum(beta.^(0:K-ii)*R1)+beta^(K-ii+1)*(p*R2-(1-p)*C)...
             +beta^(K-ii+2)*(p*Vbl1+(1-p)*Vbl0);
    end
    MRT(K+1) = VbSA(p);
    MRT(K+2) = VbSA(lambda1);
  end